Subject: bug#22147: Obsolete search-forward-lax-whitespace

From: Artur Malabarba <[email-masked]>
Date: Fri, 18 Dec 2015 00:55:06 +0000

[out of order quotes below]

2015-12-17 22:16 GMT+00:00 Drew Adams <[email-masked]>:
>> This would offer a dead-simple defcustom that covers most cases, while
>> still allowing the versatility of having multiple options for those
>> who need it.
>
> What I proposed is just as "dead-simple", but cleaner (IMO) and open
> to all users.  Just as importantly, it lets users (easily) define
> multiple classes that they can (easily) use in different contexts.

And this is the source of our impasse. IMO (and I say this will all
due respect) your proposal is not as simple as the two defcustoms I
suggested, and it is not cleaner than just using hooks/local-vars to
set the value of character-fold-table to whatever is relevant for the
current situation.
Since we're both just stating opinions, it's unlikely this discussion
will go anywhere.

> My point, as I said, is only this:
>
>   Users should be able to define their own equivalence classes (groups),
>   not just one class.  Each class should be the value of a user option.
>
> Anything less than that is not serving users as well as they deserve, IMO.

And my point is that this is too complex for user options.
Most people won't need this much generality, and the amount of time
these people will waste trying to understand this multi-option
configuration will be significant. The few who want this behavior will
be glad that we offered it, but the time it will save them (compared
to if they wrote something in elisp) will be (IMO) small compared to
the total accumulated wasted time for everyone else.